Ground-Truthing GUI 1.0

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ExtractInformation Class Reference

Extracts all the rectangles information contained in a text file. More...

`#include <extractinformation.h>`

## Public Member Functions
| ExtractInformation (QString _line)
| The constructor of the ExtractInformation class. More...
virtual QString | extractId ()
| Extracts the rectangle ID from the line. More...
virtual QString | extractTopLeftX ()
| Extracts the rectangle Top-Left corner (x coordinate) More...
virtual QString | extractTopLeftY ()
| Extracts the rectangle Top-Left corner (y coordinate) More...
virtual QString | extractLineNumber ()
| Extracts the value of the line number field. More...
virtual QString | extractWordNumber ()
| Extracts the value of the word number field. More...
virtual QString | extractWidth ()
| Extracts the width of the rectangle. More...
virtual QString | extractHeight ()
| Extracts the height of the rectangle. More...
virtual QString | extractAnnotation ()
| Extracts the annotation associated to the rectangle. More...
virtual QString | extractImagePath ()
| Extracts the image filepath. More...

## Detailed Description

Extracts all the rectangles information contained in a text file.

This class extracts all the rectangles information inserted previously by the user.

Note
  The following information is extracted: Image filepath,ID,Top-left x coordinate,Top-Left y coordinate,Width,Height,Annotation ,Word number,Line number.

Author

Author
  David Carmona-Moreno

Version

Revision
  1.0

Date

Date
  2016/01/11 14:00:00

Bug:
  Not known bugs

Contacts: nikol.nosp@m.aos..nosp@m.arvan.nosp@m.itop.nosp@m.oulos.nosp@m.@epf.nosp@m.l.ch and david.nosp@m..car.nosp@m.mona-.nosp@m.more.nosp@m.no@ep.nosp@m.fl.c.nosp@m.h

Created on: Mon Jan 12 14:00:00 2016

## Constructor & Destructor Documentation

ExtractInformation::ExtractInformation | ( | QString | _line | ) |
| inline

The constructor of the ExtractInformation class.

Parameters

  _line | The line from the text file containing the rectangle informations

## Member Function Documentation

QString ExtractInformation::extractAnnotation | ( |  | ) |
| virtual

Extracts the annotation associated to the rectangle.

Returns
  The annotation

QString ExtractInformation::extractHeight | ( |  | ) |
| virtual

Extracts the height of the rectangle.

Returns
  The rectangle height

QString ExtractInformation::extractId | ( |  | ) |
| virtual

Extracts the rectangle ID from the line.

Returns
  The rectangle ID

QString ExtractInformation::extractImagePath | ( |  | ) |
| virtual

Extracts the image filepath.

Returns
  The image filepath

QString ExtractInformation::extractLineNumber | ( |  | ) |
| virtual

Extracts the value of the line number field.

Returns
  The value of the line number field

QString ExtractInformation::extractTopLeftX | ( |  | ) |
| virtual

Extracts the rectangle Top-Left corner (x coordinate)

Returns
  The x coordinate of the rectangle Top-Left corner

QString ExtractInformation::extractTopLeftY | ( |  | ) |
| virtual

Extracts the rectangle Top-Left corner (y coordinate)

Returns
  The y coordinate of the rectangle Top-Left corner

QString ExtractInformation::extractWidth | ( |  | ) |
| virtual

Extracts the width of the rectangle.

Returns
  The rectangle width

QString ExtractInformation::extractWordNumber | ( |  | ) |
| virtual

Extracts the value of the word number field.

Returns
  The value of the word number field

The documentation for this class was generated from the following files:

- /media/david/4A52443C52442F4F/Users/David/Desktop/Projet EPFL/Ground_Truthing_20_10_2015/extractinformation.h
- /media/david/4A52443C52442F4F/Users/David/Desktop/Projet EPFL/Ground_Truthing_20_10_2015/extractinformation.cpp